All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface IdentityGroup

All Superinterfaces:
  CMetadata, Identity, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface IdentityGroup

extends Identity

Grouping mechanism for identity objects. A IdentityGroup may also be a member of another IdentityGroup

Attributes of IdentityGroup are:

- `GroupType`

Associations of IdentityGroup are:

- `MemberIdentities`

## Usage

To create an instance of this IdentityGroup, use the `factory` create methods.
Example: create a IdentityGroup with name "IdentityGroup_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     IdentityGroup myObject = (IdentityGroup) factory.createComplexMetadataObject(objectStore, "IdentityGroup_Object", MetadataObjects.IDENTITYGROUP, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_MEMBERIDENTITIES_NAME` Constant used for the name of the MemberIdentities association.
`static java.lang.String` | `ATTRIBUTE_GROUPTYPE_NAME` Constant used for the name of the GroupType attribute.

Fields inherited from interface com.sas.metadata.remote.Identity
`ASSOCIATION_ACCESSCONTROLENTRIES_NAME, ASSOCIATION_ASSOCIATEDHOMEFOLDER_NAME, ASSOCIATION_IDENTITYCHANGES_NAME, ASSOCIATION_IDENTITYGROUPS_NAME, ASSOCIATION_INTERNALLOGININFO_NAME, ASSOCIATION_LOGINS_NAME, ASSOCIATION_RESPONSIBILITIES_NAME, ATTRIBUTE_DISPLAYNAME_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getGroupType()` Gets the `String` value of `GroupType`
`int` | `getGroupTypeMaxLength()` Gets the maximum length of `GroupType`
`int` | `getGroupTypeState()` Gets the Metadata State of `GroupType`
`AssociationList` | `getMemberIdentities()` Gets the AssociationList of `MemberIdentities`
`AssociationList` | `getMemberIdentities(boolean fGoToServer)` Gets the Associationlist of `MemberIdentities`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `MemberIdentities`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setGroupType(java.lang.String inGroupType)` Sets the `GroupType` value and sets the state to MetadataState.LOCAL.
`void` | `setGroupType(java.lang.String inGroupType, int state)` Sets the `GroupType` Metadata State.
`void` | `setGroupTypeState(int state)` Sets the Metadata State of `GroupType`.
`void` | `setMemberIdentities(AssociationList list)` Sets the `MemberIdentities` list to be `list`.
`void` | `setMemberIdentities(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

Methods inherited from interface com.sas.metadata.remote.Identity
`getAccessControlEntries, getAccessControlEntries, getAssociatedHomeFolder, getAssociatedHomeFolders, getAssociatedHomeFolders, getDisplayName, getDisplayNameMaxLength, getDisplayNameState, getIdentityChanges, getIdentityChanges, getIdentityGroups, getIdentityGroups, getInternalLoginInfo, getInternalLoginInfos, getInternalLoginInfos, getLogins, getLogins, getResponsibilities, getResponsibilities, setAccessControlEntries, setAccessControlEntries, setAssociatedHomeFolder, setAssociatedHomeFolders, setAssociatedHomeFolders, setDisplayName, setDisplayName, setDisplayNameState, setIdentityChanges, setIdentityChanges, setIdentityGroups, setIdentityGroups, setInternalLoginInfo, setInternalLoginInfos, setInternalLoginInfos, setLogins, setLogins, setResponsibilities, setResponsibilities`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_GROUPTYPE_NAME

    static final java.lang.String ATTRIBUTE_GROUPTYPE_NAME

  Constant used for the name of the GroupType attribute.

  GroupType: GroupType

  See Also:
    Constant Field Values

### ASSOCIATION_MEMBERIDENTITIES_NAME

    static final java.lang.String ASSOCIATION_MEMBERIDENTITIES_NAME

  Constant used for the name of the MemberIdentities association.

  MemberIdentities: The identities that are a part of this group.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `Identity`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `MemberIdentities`

  Specified by:
    `initializePredObjects` in interface `Identity`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getGroupType

    java.lang.String getGroupType()
                                  throws java.rmi.RemoteException

  Gets the `String` value of `GroupType`

  Returns:
    The `GroupType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getGroupTypeState

    int getGroupTypeState()
                          throws java.rmi.RemoteException

  Gets the Metadata State of `GroupType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getGroupTypeMaxLength

    int getGroupTypeMaxLength()
                              throws java.rmi.RemoteException

  Gets the maximum length of `GroupType`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMemberIdentities

    AssociationList getMemberIdentities()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `MemberIdentities`

  Returns:
    Returns the AssociationList of `MemberIdentities` which can be of type:
    Identity
    IdentityGroup
    Person
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getMemberIdentities

    AssociationList getMemberIdentities(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `MemberIdentities`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `MemberIdentities` which can be of type:
    Identity
    IdentityGroup
    Person
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setGroupType

    void setGroupType(java.lang.String inGroupType)
                      throws java.rmi.RemoteException

  Sets the `GroupType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inGroupType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroupType

    void setGroupType(java.lang.String inGroupType,
                      int state)
                      throws java.rmi.RemoteException

  Sets the `GroupType` Metadata State.

  Parameters:
    `inGroupType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroupTypeState

    void setGroupTypeState(int state)
                           throws java.rmi.RemoteException

  Sets the Metadata State of `GroupType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMemberIdentities

    void setMemberIdentities(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `MemberIdentities` list to be `list`. Objects of which can be of type:
  Identity
  IdentityGroup
  Person

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMemberIdentities

    void setMemberIdentities(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.